Manifest-Version: 1.0
Bnd-LastModified: 1724380972343
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Change Tracking Service
Bundle-SymbolicName: com.liferay.change.tracking.service
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 3.0.47.hotfix-5795-7413
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: aQute.bnd.annotation.metatype;version="1.45",com.lifer
 ay.change.tracking.closure;version="1.0",com.liferay.change.tracking.
 conflict;version="1.1",com.liferay.change.tracking.exception;version=
 "5.2",com.liferay.change.tracking.mapping;version="1.1",com.liferay.c
 hange.tracking.model;version="3.0",com.liferay.change.tracking.servic
 e;version="5.8",com.liferay.change.tracking.service.persistence;versi
 on="6.0",com.liferay.change.tracking.spi.display;version="1.6",com.li
 feray.change.tracking.spi.exception;version="1.0",com.liferay.change.
 tracking.spi.listener;version="2.0",com.liferay.change.tracking.spi.r
 eference;version="1.0",com.liferay.change.tracking.spi.reference.buil
 der;version="1.0",com.liferay.change.tracking.spi.resolver;version="1
 .0",com.liferay.change.tracking.spi.resolver.context;version="1.0",co
 m.liferay.change.tracking.spi.search;version="1.0",com.liferay.change
 .tracking.store.model;version="2.0",com.liferay.counter.kernel.servic
 e;version="2.1",com.liferay.expando.kernel.model;version="5.0",com.li
 feray.expando.kernel.service.persistence;version="3.2",com.liferay.ex
 pando.kernel.util;version="4.0",com.liferay.osgi.service.tracker.coll
 ections.list;version="2.0",com.liferay.osgi.service.tracker.collectio
 ns.map;version="2.2",com.liferay.petra.function;version="1.5",com.lif
 eray.petra.lang;version="1.3",com.liferay.petra.sql.dsl;version="1.1"
 ,com.liferay.petra.sql.dsl.ast;version="1.0",com.liferay.petra.sql.ds
 l.base;version="1.0",com.liferay.petra.sql.dsl.expression;version="1.
 4",com.liferay.petra.sql.dsl.query;version="2.0",com.liferay.petra.sq
 l.dsl.query.sort;version="1.0",com.liferay.petra.sql.dsl.spi.ast;vers
 ion="1.0",com.liferay.petra.sql.dsl.spi.expression;version="1.3",com.
 liferay.petra.sql.dsl.spi.query;version="2.0",com.liferay.petra.strin
 g;version="1.7",com.liferay.portal.aop;version="1.0",com.liferay.port
 al.background.task.model;version="3.0",com.liferay.portal.background.
 task.service;version="1.6",com.liferay.portal.configuration.metatype.
 annotations;version="1.5",com.liferay.portal.configuration.metatype.b
 nd.util;version="2.0",com.liferay.portal.dao.orm.common,com.liferay.p
 ortal.dao.orm.custom.sql;version="1.1",com.liferay.portal.kernel.aop;
 version="1.0",com.liferay.portal.kernel.backgroundtask;version="9.0",
 com.liferay.portal.kernel.backgroundtask.display;version="2.0",com.li
 feray.portal.kernel.bean;version="10.0",com.liferay.portal.kernel.cac
 he;version="13.0",com.liferay.portal.kernel.change.tracking;version="
 2.2",com.liferay.portal.kernel.configuration;version="7.0",com.lifera
 y.portal.kernel.dao.db;version="10.1",com.liferay.portal.kernel.dao.j
 dbc;version="9.0",com.liferay.portal.kernel.dao.orm;version="12.0",co
 m.liferay.portal.kernel.exception;version="12.3",com.liferay.portal.k
 ernel.json;version="11.0",com.liferay.portal.kernel.language;version=
 "11.0",com.liferay.portal.kernel.log;version="7.1",com.liferay.portal
 .kernel.messaging;version="11.1",com.liferay.portal.kernel.model;vers
 ion="24.0",com.liferay.portal.kernel.model.change.tracking;version="3
 .0",com.liferay.portal.kernel.model.impl;version="7.0",com.liferay.po
 rtal.kernel.module.framework;version="1.4",com.liferay.portal.kernel.
 module.framework.service;version="1.0",com.liferay.portal.kernel.sear
 ch;version="17.0",com.liferay.portal.kernel.search.filter;version="1.
 0",com.liferay.portal.kernel.security.auth;version="5.1",com.liferay.
 portal.kernel.security.permission;version="6.2",com.liferay.portal.ke
 rnel.security.permission.resource;version="2.1",com.liferay.portal.ke
 rnel.security.permission.resource.definition;version="1.0",com.lifera
 y.portal.kernel.service;version="17.0",com.liferay.portal.kernel.serv
 ice.change.tracking;version="1.0",com.liferay.portal.kernel.service.h
 ttp;version="1.0",com.liferay.portal.kernel.service.permission;versio
 n="5.0",com.liferay.portal.kernel.service.persistence;version="16.0",
 com.liferay.portal.kernel.service.persistence.change.tracking;version
 ="1.4",com.liferay.portal.kernel.service.persistence.change.tracking.
 helper;version="1.1",com.liferay.portal.kernel.service.persistence.im
 pl;version="4.1",com.liferay.portal.kernel.template;version="14.0",co
 m.liferay.portal.kernel.transaction;version="8.1",com.liferay.portal.
 kernel.upgrade;version="18.1",com.liferay.portal.kernel.util;version=
 "45.0",com.liferay.portal.kernel.version;version="1.1",com.liferay.po
 rtal.model.impl,com.liferay.portal.search.model.uid;version="1.1",com
 .liferay.portal.search.spi.model.query.contributor;version="1.1",com.
 liferay.portal.search.spi.model.registrar;version="2.0",com.liferay.p
 ortal.servlet.filters;version="1.0",com.liferay.portal.spring.transac
 tion,com.liferay.portal.upgrade.registry;version="5.0",javax.servlet,
 javax.servlet.http,javax.sql,org.osgi.framework;version="1.8",org.osg
 i.util.tracker;version="1.5"
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Title: Liferay Change Tracking
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Utility
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: foundation
Liferay-Releng-Suite-Description: Apps and Features: System Settings, 
 Web Content Editors, Web Content Template Languages, Theme Tools, Mob
 ile Device Rules, Facebook Authentication, LDAP Authentication, OpenI
 D Authentication, OpenSSO Authentication, Remote Authentication (Auth
 Verifiers), SSO-based Authentication, Token-based Authentication, Por
 tal Scripting, Elasticsearch Support, Solr Support, Documents and Med
 ia Store Implementations, and more.<br /><br />The Foundation suite p
 rovides applications and features that extend the functionality provi
 ded by Liferay's core. Much of the functionality that belonged to Lif
 eray's core prior to Liferay 7 has been extracted into the modules of
  the Foundation suite. The authentication modules provide a variety o
 f mechanisms for allowing users and remote applications to authentica
 te to Liferay. The LDAP Authentication module allows administrators t
 o establish connections to one or more LDAP directories from which us
 ers can be imported or exported. The SSO modules allow users to authe
 nticate to Liferay using a variety of single-sign on solutions. The T
 oken-based Authentication module allows users or remote applications 
 to authenticate to Liferay without a password. The Scripting module a
 llows scripts to be written in Groovy to invoke Liferay's API.<br /><
 br />This suite is available in the Liferay bundle.
Liferay-Releng-Suite-Title: Liferay Foundation
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Liferay-Require-SchemaVersion: 2.5.1
Liferay-Service: true
Private-Package: com.liferay.change.tracking.internal,com.liferay.chan
 ge.tracking.internal.aop,com.liferay.change.tracking.internal.backgro
 und.task,com.liferay.change.tracking.internal.background.task.display
 ,com.liferay.change.tracking.internal.closure,com.liferay.change.trac
 king.internal.configuration,com.liferay.change.tracking.internal.conf
 lict,com.liferay.change.tracking.internal.helper,com.liferay.change.t
 racking.internal.mapping,com.liferay.change.tracking.internal.messagi
 ng,com.liferay.change.tracking.internal.model.listener,com.liferay.ch
 ange.tracking.internal.reference,com.liferay.change.tracking.internal
 .reference.builder,com.liferay.change.tracking.internal.resolver,com.
 liferay.change.tracking.internal.search,com.liferay.change.tracking.i
 nternal.search.spi.model.query.contributor,com.liferay.change.trackin
 g.internal.security.permission.resource,com.liferay.change.tracking.i
 nternal.security.permission.resource.definition,com.liferay.change.tr
 acking.internal.servlet.filter,com.liferay.change.tracking.internal.s
 pi.reference,com.liferay.change.tracking.internal.spi.resolver,com.li
 feray.change.tracking.internal.upgrade.registry,com.liferay.change.tr
 acking.internal.upgrade.v2_0_0,com.liferay.change.tracking.internal.u
 pgrade.v2_0_0.dependencies,com.liferay.change.tracking.internal.upgra
 de.v2_1_0,com.liferay.change.tracking.internal.upgrade.v2_1_0.depende
 ncies,com.liferay.change.tracking.internal.upgrade.v2_3_0,com.liferay
 .change.tracking.internal.upgrade.v2_4_0,com.liferay.change.tracking.
 internal.upgrade.v2_5_0,com.liferay.change.tracking.internal.upgrade.
 v2_5_0.dependencies,com.liferay.change.tracking.model.impl,com.lifera
 y.change.tracking.service.base,com.liferay.change.tracking.service.ht
 tp,com.liferay.change.tracking.service.impl,com.liferay.change.tracki
 ng.service.persistence.impl,com.liferay.change.tracking.service.persi
 stence.impl.constants,resource-actions
Provide-Capability: osgi.service;objectClass:List<String>="com.liferay
 .change.tracking.closure.CTClosureFactory";uses:="com.liferay.change.
 tracking.closure",osgi.service;objectClass:List<String>="com.liferay.
 change.tracking.internal.CTServiceRegistry";uses:="com.liferay.change
 .tracking.internal",osgi.service;objectClass:List<String>="com.lifera
 y.change.tracking.internal.reference.TableReferenceDefinitionManager"
 ;uses:="com.liferay.change.tracking.internal.reference",osgi.service;
 objectClass:List<String>="com.liferay.change.tracking.service.persist
 ence.CTAutoResolutionInfoPersistence,com.liferay.portal.kernel.servic
 e.persistence.BasePersistence";uses:="com.liferay.change.tracking.ser
 vice.persistence,com.liferay.portal.kernel.service.persistence",osgi.
 service;objectClass:List<String>="com.liferay.change.tracking.service
 .persistence.CTCollectionPersistence,com.liferay.portal.kernel.servic
 e.persistence.BasePersistence";uses:="com.liferay.change.tracking.ser
 vice.persistence,com.liferay.portal.kernel.service.persistence",osgi.
 service;objectClass:List<String>="com.liferay.change.tracking.service
 .persistence.CTCommentPersistence,com.liferay.portal.kernel.service.p
 ersistence.BasePersistence";uses:="com.liferay.change.tracking.servic
 e.persistence,com.liferay.portal.kernel.service.persistence",osgi.ser
 vice;objectClass:List<String>="com.liferay.change.tracking.service.pe
 rsistence.CTEntryPersistence,com.liferay.portal.kernel.service.persis
 tence.BasePersistence";uses:="com.liferay.change.tracking.service.per
 sistence,com.liferay.portal.kernel.service.persistence",osgi.service;
 objectClass:List<String>="com.liferay.change.tracking.service.persist
 ence.CTMessagePersistence,com.liferay.portal.kernel.service.persisten
 ce.BasePersistence";uses:="com.liferay.change.tracking.service.persis
 tence,com.liferay.portal.kernel.service.persistence",osgi.service;obj
 ectClass:List<String>="com.liferay.change.tracking.service.persistenc
 e.CTPreferencesPersistence,com.liferay.portal.kernel.service.persiste
 nce.BasePersistence";uses:="com.liferay.change.tracking.service.persi
 stence,com.liferay.portal.kernel.service.persistence",osgi.service;ob
 jectClass:List<String>="com.liferay.change.tracking.service.persisten
 ce.CTProcessPersistence,com.liferay.portal.kernel.service.persistence
 .BasePersistence";uses:="com.liferay.change.tracking.service.persiste
 nce,com.liferay.portal.kernel.service.persistence",osgi.service;objec
 tClass:List<String>="com.liferay.change.tracking.service.persistence.
 CTSchemaVersionPersistence,com.liferay.portal.kernel.service.persiste
 nce.BasePersistence";uses:="com.liferay.change.tracking.service.persi
 stence,com.liferay.portal.kernel.service.persistence",osgi.service;ob
 jectClass:List<String>="com.liferay.change.tracking.spi.listener.CTEv
 entListener";uses:="com.liferay.change.tracking.spi.listener",osgi.se
 rvice;objectClass:List<String>="com.liferay.change.tracking.spi.refer
 ence.TableReferenceDefinition";uses:="com.liferay.change.tracking.spi
 .reference",osgi.service;objectClass:List<String>="com.liferay.change
 .tracking.spi.resolver.ConstraintResolver";uses:="com.liferay.change.
 tracking.spi.resolver",osgi.service;objectClass:List<String>="com.lif
 eray.portal.aop.AopService";uses:="com.liferay.portal.aop",osgi.servi
 ce;objectClass:List<String>="com.liferay.portal.kernel.aop.ChainableM
 ethodAdvice";uses:="com.liferay.portal.kernel.aop",osgi.service;objec
 tClass:List<String>="com.liferay.portal.kernel.change.tracking.CTColl
 ectionIdSupplier";uses:="com.liferay.portal.kernel.change.tracking",o
 sgi.service;objectClass:List<String>="com.liferay.portal.kernel.dao.o
 rm.ArgumentsResolver";uses:="com.liferay.portal.kernel.dao.orm",osgi.
 service;objectClass:List<String>="com.liferay.portal.kernel.messaging
 .MessageBusInterceptor";uses:="com.liferay.portal.kernel.messaging",o
 sgi.service;objectClass:List<String>="com.liferay.portal.kernel.model
 .ModelListener";uses:="com.liferay.portal.kernel.model",osgi.service;
 objectClass:List<String>="com.liferay.portal.kernel.search.DocumentCo
 ntributor";uses:="com.liferay.portal.kernel.search",osgi.service;obje
 ctClass:List<String>="com.liferay.portal.kernel.security.permission.r
 esource.ModelResourcePermission";uses:="com.liferay.portal.kernel.sec
 urity.permission.resource",osgi.service;objectClass:List<String>="com
 .liferay.portal.kernel.security.permission.resource.definition.Portle
 tResourcePermissionDefinition";uses:="com.liferay.portal.kernel.secur
 ity.permission.resource.definition",osgi.service;objectClass:List<Str
 ing>="com.liferay.portal.kernel.service.persistence.change.tracking.h
 elper.CTPersistenceHelper";uses:="com.liferay.portal.kernel.service.p
 ersistence.change.tracking.helper",osgi.service;objectClass:List<Stri
 ng>="com.liferay.portal.search.spi.model.query.contributor.ModelPreFi
 lterContributor";uses:="com.liferay.portal.search.spi.model.query.con
 tributor",osgi.service;objectClass:List<String>="com.liferay.portal.u
 pgrade.registry.UpgradeStepRegistrator";uses:="com.liferay.portal.upg
 rade.registry",osgi.service;objectClass:List<String>="javax.servlet.F
 ilter";uses:="javax.servlet",osgi.service;objectClass:List<String>="c
 om.liferay.change.tracking.service.CTCollectionLocalService",osgi.ser
 vice;objectClass:List<String>="com.liferay.change.tracking.service.CT
 CollectionService",osgi.service;objectClass:List<String>="com.liferay
 .change.tracking.service.CTCommentLocalService",osgi.service;objectCl
 ass:List<String>="com.liferay.change.tracking.service.CTEntryLocalSer
 vice",osgi.service;objectClass:List<String>="com.liferay.change.track
 ing.service.CTMessageLocalService",osgi.service;objectClass:List<Stri
 ng>="com.liferay.change.tracking.service.CTPreferencesLocalService",o
 sgi.service;objectClass:List<String>="com.liferay.change.tracking.ser
 vice.CTPreferencesService",osgi.service;objectClass:List<String>="com
 .liferay.change.tracking.service.CTProcessLocalService",osgi.service;
 objectClass:List<String>="com.liferay.change.tracking.service.CTProce
 ssService",osgi.service;objectClass:List<String>="com.liferay.change.
 tracking.service.CTSchemaVersionLocalService"
Require-Capability: osgi.service;filter:="(objectClass=com.liferay.cha
 nge.tracking.closure.CTClosureFactory)";effective:=active,osgi.servic
 e;filter:="(objectClass=com.liferay.change.tracking.internal.CTServic
 eRegistry)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.change.tracking.internal.reference.TableReferenceDefinitionMa
 nager)";effective:=active,osgi.service;filter:="(objectClass=com.life
 ray.change.tracking.service.CTCollectionLocalService)";effective:=act
 ive,osgi.service;filter:="(objectClass=com.liferay.change.tracking.se
 rvice.CTEntryLocalService)";effective:=active,osgi.service;filter:="(
 objectClass=com.liferay.change.tracking.service.CTMessageLocalService
 )";effective:=active,osgi.service;filter:="(objectClass=com.liferay.c
 hange.tracking.service.CTPreferencesLocalService)";effective:=active,
 osgi.service;filter:="(objectClass=com.liferay.change.tracking.servic
 e.CTProcessLocalService)";effective:=active,osgi.service;filter:="(ob
 jectClass=com.liferay.change.tracking.service.CTSchemaVersionLocalSer
 vice)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.change.tracking.service.persistence.CTAutoResolutionInfoPersistenc
 e)";effective:=active,osgi.service;filter:="(objectClass=com.liferay.
 change.tracking.service.persistence.CTCollectionPersistence)";effecti
 ve:=active,osgi.service;filter:="(objectClass=com.liferay.change.trac
 king.service.persistence.CTCommentPersistence)";effective:=active,osg
 i.service;filter:="(objectClass=com.liferay.change.tracking.service.p
 ersistence.CTEntryPersistence)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.change.tracking.service.persistence.CTMes
 sagePersistence)";effective:=active,osgi.service;filter:="(objectClas
 s=com.liferay.change.tracking.service.persistence.CTPreferencesPersis
 tence)";effective:=active,osgi.service;filter:="(objectClass=com.life
 ray.change.tracking.service.persistence.CTProcessPersistence)";effect
 ive:=active,osgi.service;filter:="(objectClass=com.liferay.change.tra
 cking.service.persistence.CTSchemaVersionPersistence)";effective:=act
 ive,osgi.service;filter:="(objectClass=com.liferay.counter.kernel.ser
 vice.CounterLocalService)";effective:=active,osgi.service;filter:="(o
 bjectClass=com.liferay.expando.kernel.service.persistence.ExpandoColu
 mnPersistence)";effective:=active,osgi.service;filter:="(objectClass=
 com.liferay.expando.kernel.service.persistence.ExpandoRowPersistence)
 ";effective:=active,osgi.service;filter:="(objectClass=com.liferay.ex
 pando.kernel.service.persistence.ExpandoTablePersistence)";effective:
 =active,osgi.service;filter:="(objectClass=com.liferay.expando.kernel
 .service.persistence.ExpandoValuePersistence)";effective:=active,osgi
 .service;filter:="(objectClass=com.liferay.portal.background.task.ser
 vice.BackgroundTaskLocalService)";effective:=active,osgi.service;filt
 er:="(objectClass=com.liferay.portal.dao.orm.custom.sql.CustomSQL)";e
 ffective:=active,osgi.service;filter:="(objectClass=com.liferay.porta
 l.kernel.cache.MultiVMPool)";effective:=active,osgi.service;filter:="
 (objectClass=com.liferay.portal.kernel.configuration.Configuration)";
 effective:=active,osgi.service;filter:="(objectClass=com.liferay.port
 al.kernel.dao.jdbc.CurrentConnection)";effective:=active,osgi.service
 ;filter:="(objectClass=com.liferay.portal.kernel.dao.orm.EntityCache)
 ";effective:=active,osgi.service;filter:="(objectClass=com.liferay.po
 rtal.kernel.dao.orm.FinderCache)";effective:=active,osgi.service;filt
 er:="(objectClass=com.liferay.portal.kernel.dao.orm.SessionFactory)";
 effective:=active,osgi.service;filter:="(objectClass=com.liferay.port
 al.kernel.json.JSONFactory)";effective:=active,osgi.service;filter:="
 (objectClass=com.liferay.portal.kernel.messaging.MessageBus)";effecti
 ve:=active,osgi.service;filter:="(objectClass=com.liferay.portal.kern
 el.module.framework.ModuleServiceLifecycle)";effective:=active,osgi.s
 ervice;filter:="(objectClass=com.liferay.portal.kernel.search.IndexWr
 iterHelper)";effective:=active,osgi.service;filter:="(objectClass=com
 .liferay.portal.kernel.search.IndexerRegistry)";effective:=active,osg
 i.service;filter:="(objectClass=com.liferay.portal.kernel.security.pe
 rmission.InlineSQLHelper)";effective:=active,osgi.service;filter:="(o
 bjectClass=com.liferay.portal.kernel.security.permission.resource.Mod
 elResourcePermission)";effective:=active,osgi.service;filter:="(objec
 tClass=com.liferay.portal.kernel.security.permission.resource.Portlet
 ResourcePermission)";effective:=active,osgi.service;filter:="(objectC
 lass=com.liferay.portal.kernel.service.ClassNameLocalService)";effect
 ive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.ker
 nel.service.CompanyLocalService)";effective:=active,osgi.service;filt
 er:="(objectClass=com.liferay.portal.kernel.service.GroupLocalService
 )";effective:=active,osgi.service;filter:="(objectClass=com.liferay.p
 ortal.kernel.service.PortletPreferenceValueLocalService)";effective:=
 active,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.s
 ervice.PortletPreferencesLocalService)";effective:=active,osgi.servic
 e;filter:="(objectClass=com.liferay.portal.kernel.service.ReleaseLoca
 lService)";effective:=active,osgi.service;filter:="(objectClass=com.l
 iferay.portal.kernel.service.ResourceLocalService)";effective:=active
 ,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.service
 .permission.PortletPermission)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.portal.kernel.service.persistence.Company
 Persistence)";effective:=active,osgi.service;filter:="(objectClass=co
 m.liferay.portal.kernel.service.persistence.ContactPersistence)";effe
 ctive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.k
 ernel.service.persistence.CountryPersistence)";effective:=active,osgi
 .service;filter:="(objectClass=com.liferay.portal.kernel.service.pers
 istence.ImagePersistence)";effective:=active,osgi.service;filter:="(o
 bjectClass=com.liferay.portal.kernel.service.persistence.ListTypePers
 istence)";effective:=active,osgi.service;filter:="(objectClass=com.li
 feray.portal.kernel.service.persistence.OrganizationPersistence)";eff
 ective:=active,osgi.service;filter:="(objectClass=com.liferay.portal.
 kernel.service.persistence.PortalPreferenceValuePersistence)";effecti
 ve:=active,osgi.service;filter:="(objectClass=com.liferay.portal.kern
 el.service.persistence.PortalPreferencesPersistence)";effective:=acti
 ve,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.servi
 ce.persistence.PortletPersistence)";effective:=active,osgi.service;fi
 lter:="(objectClass=com.liferay.portal.kernel.service.persistence.Por
 tletPreferenceValuePersistence)";effective:=active,osgi.service;filte
 r:="(objectClass=com.liferay.portal.kernel.service.persistence.Portle
 tPreferencesPersistence)";effective:=active,osgi.service;filter:="(ob
 jectClass=com.liferay.portal.kernel.service.persistence.RegionPersist
 ence)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.portal.kernel.service.persistence.TeamPersistence)";effective:=act
 ive,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.serv
 ice.persistence.UserGroupGroupRolePersistence)";effective:=active,osg
 i.service;filter:="(objectClass=com.liferay.portal.kernel.service.per
 sistence.UserGroupPersistence)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.portal.kernel.service.persistence.UserGro
 upRolePersistence)";effective:=active,osgi.service;filter:="(objectCl
 ass=com.liferay.portal.kernel.service.persistence.UserPersistence)";e
 ffective:=active,osgi.service;filter:="(objectClass=com.liferay.porta
 l.kernel.service.persistence.VirtualHostPersistence)";effective:=acti
 ve,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.util.
 Portal)";effective:=active,osgi.service;filter:="(objectClass=com.lif
 eray.portal.search.model.uid.UIDFactory)";effective:=active,osgi.serv
 ice;filter:="(objectClass=javax.sql.DataSource)";effective:=active,os
 gi.extender;filter:="(&(osgi.extender=osgi.component)(version>=1.4.0)
 (!(version>=2.0.0)))",osgi.contract;osgi.contract=JavaServlet;filter:
 ="(&(osgi.contract=JavaServlet)(version=3.1.0))",osgi.ee;filter:="(&(
 osgi.ee=JavaSE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.change.tracking.internal.CTCol
 lectionIdSupplierImpl.xml,OSGI-INF/com.liferay.change.tracking.intern
 al.CTPersistenceHelperImpl.xml,OSGI-INF/com.liferay.change.tracking.i
 nternal.CTServiceRegistry.xml,OSGI-INF/com.liferay.change.tracking.in
 ternal.aop.CTTransactionAdvice.xml,OSGI-INF/com.liferay.change.tracki
 ng.internal.background.task.CTPublishBackgroundTaskExecutor.xml,OSGI-
 INF/com.liferay.change.tracking.internal.closure.CTClosureFactoryImpl
 .xml,OSGI-INF/com.liferay.change.tracking.internal.messaging.CTMessag
 eBusInterceptor.xml,OSGI-INF/com.liferay.change.tracking.internal.mes
 saging.CTMessageEventListener.xml,OSGI-INF/com.liferay.change.trackin
 g.internal.model.listener.BackgroundTaskModelListener.xml,OSGI-INF/co
 m.liferay.change.tracking.internal.model.listener.CTCollectionModelLi
 stener.xml,OSGI-INF/com.liferay.change.tracking.internal.model.listen
 er.CTEntryModelListener.xml,OSGI-INF/com.liferay.change.tracking.inte
 rnal.model.listener.ReleaseModelListener.xml,OSGI-INF/com.liferay.cha
 nge.tracking.internal.model.listener.UserModelListener.xml,OSGI-INF/c
 om.liferay.change.tracking.internal.reference.TableReferenceDefinitio
 nManager.xml,OSGI-INF/com.liferay.change.tracking.internal.search.CTM
 odelDocumentContributor.xml,OSGI-INF/com.liferay.change.tracking.inte
 rnal.search.CTSearchEventListener.xml,OSGI-INF/com.liferay.change.tra
 cking.internal.search.spi.model.query.contributor.CTModelPreFilterCon
 tributor.xml,OSGI-INF/com.liferay.change.tracking.internal.security.p
 ermission.resource.CTCollectionModelResourcePermission.xml,OSGI-INF/c
 om.liferay.change.tracking.internal.security.permission.resource.defi
 nition.ChangeListsPortletResourcePermissionDefinition.xml,OSGI-INF/co
 m.liferay.change.tracking.internal.servlet.filter.CTCollectionPreview
 Filter.xml,OSGI-INF/com.liferay.change.tracking.internal.spi.referenc
 e.CompanyTableReferenceDefinition.xml,OSGI-INF/com.liferay.change.tra
 cking.internal.spi.reference.ContactTableReferenceDefinition.xml,OSGI
 -INF/com.liferay.change.tracking.internal.spi.reference.CountryTableR
 eferenceDefinition.xml,OSGI-INF/com.liferay.change.tracking.internal.
 spi.reference.ExpandoColumnTableReferenceDefinition.xml,OSGI-INF/com.
 liferay.change.tracking.internal.spi.reference.ExpandoRowTableReferen
 ceDefinition.xml,OSGI-INF/com.liferay.change.tracking.internal.spi.re
 ference.ExpandoTableTableReferenceDefinition.xml,OSGI-INF/com.liferay
 .change.tracking.internal.spi.reference.ExpandoValueTableReferenceDef
 inition.xml,OSGI-INF/com.liferay.change.tracking.internal.spi.referen
 ce.ImageTableReferenceDefinition.xml,OSGI-INF/com.liferay.change.trac
 king.internal.spi.reference.ListTypeTableReferenceDefinition.xml,OSGI
 -INF/com.liferay.change.tracking.internal.spi.reference.OrganizationT
 ableReferenceDefinition.xml,OSGI-INF/com.liferay.change.tracking.inte
 rnal.spi.reference.PortalPreferenceValueTableReferenceDefinition.xml,
 OSGI-INF/com.liferay.change.tracking.internal.spi.reference.PortalPre
 ferencesTableReferenceDefinition.xml,OSGI-INF/com.liferay.change.trac
 king.internal.spi.reference.PortletPreferenceTableReferenceDefinition
 .xml,OSGI-INF/com.liferay.change.tracking.internal.spi.reference.Port
 letPreferenceValueTableReferenceDefinition.xml,OSGI-INF/com.liferay.c
 hange.tracking.internal.spi.reference.PortletTableReferenceDefinition
 .xml,OSGI-INF/com.liferay.change.tracking.internal.spi.reference.Regi
 onTableReferenceDefinition.xml,OSGI-INF/com.liferay.change.tracking.i
 nternal.spi.reference.TeamTableReferenceDefinition.xml,OSGI-INF/com.l
 iferay.change.tracking.internal.spi.reference.UserGroupGroupRoleTable
 ReferenceDefinition.xml,OSGI-INF/com.liferay.change.tracking.internal
 .spi.reference.UserGroupRoleTableReferenceDefinition.xml,OSGI-INF/com
 .liferay.change.tracking.internal.spi.reference.UserGroupTableReferen
 ceDefinition.xml,OSGI-INF/com.liferay.change.tracking.internal.spi.re
 ference.UserTableReferenceDefinition.xml,OSGI-INF/com.liferay.change.
 tracking.internal.spi.reference.VirtualHostTableReferenceDefinition.x
 ml,OSGI-INF/com.liferay.change.tracking.internal.spi.resolver.Portlet
 PreferenceConstraintResolver.xml,OSGI-INF/com.liferay.change.tracking
 .internal.upgrade.registry.ChangeTrackingServiceUpgradeStepRegistrato
 r.xml,OSGI-INF/com.liferay.change.tracking.service.impl.CTCollectionL
 ocalServiceImpl.xml,OSGI-INF/com.liferay.change.tracking.service.impl
 .CTCollectionServiceImpl.xml,OSGI-INF/com.liferay.change.tracking.ser
 vice.impl.CTCommentLocalServiceImpl.xml,OSGI-INF/com.liferay.change.t
 racking.service.impl.CTEntryLocalServiceImpl.xml,OSGI-INF/com.liferay
 .change.tracking.service.impl.CTMessageLocalServiceImpl.xml,OSGI-INF/
 com.liferay.change.tracking.service.impl.CTPreferencesLocalServiceImp
 l.xml,OSGI-INF/com.liferay.change.tracking.service.impl.CTPreferences
 ServiceImpl.xml,OSGI-INF/com.liferay.change.tracking.service.impl.CTP
 rocessLocalServiceImpl.xml,OSGI-INF/com.liferay.change.tracking.servi
 ce.impl.CTProcessServiceImpl.xml,OSGI-INF/com.liferay.change.tracking
 .service.impl.CTSchemaVersionLocalServiceImpl.xml,OSGI-INF/com.lifera
 y.change.tracking.service.persistence.impl.CTAutoResolutionInfoModelA
 rgumentsResolver.xml,OSGI-INF/com.liferay.change.tracking.service.per
 sistence.impl.CTAutoResolutionInfoPersistenceImpl.xml,OSGI-INF/com.li
 feray.change.tracking.service.persistence.impl.CTCollectionModelArgum
 entsResolver.xml,OSGI-INF/com.liferay.change.tracking.service.persist
 ence.impl.CTCollectionPersistenceImpl.xml,OSGI-INF/com.liferay.change
 .tracking.service.persistence.impl.CTCommentModelArgumentsResolver.xm
 l,OSGI-INF/com.liferay.change.tracking.service.persistence.impl.CTCom
 mentPersistenceImpl.xml,OSGI-INF/com.liferay.change.tracking.service.
 persistence.impl.CTEntryModelArgumentsResolver.xml,OSGI-INF/com.lifer
 ay.change.tracking.service.persistence.impl.CTEntryPersistenceImpl.xm
 l,OSGI-INF/com.liferay.change.tracking.service.persistence.impl.CTMes
 sageModelArgumentsResolver.xml,OSGI-INF/com.liferay.change.tracking.s
 ervice.persistence.impl.CTMessagePersistenceImpl.xml,OSGI-INF/com.lif
 eray.change.tracking.service.persistence.impl.CTPreferencesModelArgum
 entsResolver.xml,OSGI-INF/com.liferay.change.tracking.service.persist
 ence.impl.CTPreferencesPersistenceImpl.xml,OSGI-INF/com.liferay.chang
 e.tracking.service.persistence.impl.CTProcessModelArgumentsResolver.x
 ml,OSGI-INF/com.liferay.change.tracking.service.persistence.impl.CTPr
 ocessPersistenceImpl.xml,OSGI-INF/com.liferay.change.tracking.service
 .persistence.impl.CTSchemaVersionModelArgumentsResolver.xml,OSGI-INF/
 com.liferay.change.tracking.service.persistence.impl.CTSchemaVersionP
 ersistenceImpl.xml
Tool: Bnd-4.3.0.201909301554

